Subject: Re: bug#44858: [PATCH] Make byte-compiler warn about wide docstrings

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Nov 2020 09:37:11 +0100

Eli Zaretskii <[email-masked]> writes:

>> For `substitute-command-keys', it would be nice to get it to work, but I
>> don't think we can know the values of keymaps at compile-time.  Possibly
>> there is a good solution for this, but I couldn't find it.
>
> How about some simplified heuristics, like assume that the expansion
> takes no more than N characters (where N could be something like 5)?
> This should work in, like, 80% of cases, I think.

Yup.  And 15% is mostly when it expands to `M-x some-long-command'
because the keymap hasn't been loaded yet, I think?  Which we could
conceivably fix by loading the file when the used `C-h f's an autoloaded
function with one of these constructs?  Perhaps a bit hacky...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no